Next: atan, Previous: asin, Up: Math

### 1.6 `asinh`, `asinhf`—inverse hyperbolic sine

Synopsis

         #include <math.h>
         double asinh(double x);
         float asinhf(float x);

Description
`asinh` calculates the inverse hyperbolic sine of x. `asinh` is defined as

          sgn(x) * log(abs(x) + sqrt(1+x*x))

`asinhf` is identical, other than taking and returning floats.

Returns
`asinh` and `asinhf` return the calculated value.

Portability
Neither `asinh` nor `asinhf` are ANSI C.